Skip to main content
PATCH
/
v1
/
carousel
/
templates
/
{templateId}
/
upload-custom-layout
Upload a custom layout (ZIP file with .hbs templates)
curl --request PATCH \
  --url https://api.yalg.ai/v1/carousel/templates/{templateId}/upload-custom-layout \
  --header 'Content-Type: multipart/form-data' \
  --header 'x-api-key: <api-key>' \
  --form layoutZip='@example-file'
"<string>"

Authorizations

x-api-key
string
header
default:yalg_live_your_api_key
required

YALG Developer API key. Send it in the x-api-key header from a server-side environment only.

Path Parameters

templateId
string
required

Carousel template identifier.

Example:

"018f9f46-9a0e-7afd-b13f-2f63f07aa4f2"

Body

multipart/form-data
layoutZip
file
required

ZIP file containing .hbs templates (intro.hbs, content.hbs, outro.hbs)

Response

Custom layout uploaded successfully

The response is of type file.